﻿body {
    min-width:800px;
    min-height:600px;
    margin: 0px;
}

form {
    margin: 8px;
}

.prbtnl {
    width: 10px;
    height: 30px;
}

.prbtnr, .anbtnr {
    width: 10px;
    height: 20px;
}

.DTFC_LeftBodyLiner,
.DTFC_RightBodyLiner {
    overflow: hidden;
}


.button {
    display: inline-block;
    padding: .5em 1em;
    border-radius: 4px;
    text-align: center;
    color: #eff;
    background-color: #678;
    cursor: pointer;
}







    .button:hover {
        background-color: #567;
    }







    .button:disabled {
        cursor: not-allowed;
        opacity: .6;
        color: #def;
    }



.toggle-buttons {
    display: flex;
}







    .toggle-buttons.vertical {
        flex-direction: column;
    }







    .toggle-buttons label {
        display: flex;
        position: relative;
    }







    .toggle-buttons [type=radio],
    .toggle-buttons [type=checkbox] {
        -webkit-appearance: none;
        -moz-appearance: none;
        position: absolute;
        width: 100%;
        height: 100%;
        margin: 0;
        padding: 0;
    }







    /* appearance: none; for IE11 */



    _:-ms-lang(x)::-ms-backdrop, .toggle-buttons [type=radio],
    _:-ms-lang(x)::-ms-backdrop, .toggle-buttons [type=checkbox] {
        visibility: hidden;
    }







    .toggle-buttons .button {
        z-index: 1;
    }







    .toggle-buttons.vertical .button {
        width: 100%;
    }







    .toggle-buttons:not(.vertical) :not(:first-child) .button {
        border-left: 1px solid #567;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }







    .toggle-buttons:not(.vertical) :not(:last-child) .button {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }







    .toggle-buttons.vertical :not(:first-child) .button {
        border-top: 1px solid #567;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }







    .toggle-buttons.vertical :not(:last-child) .button {
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }







    .toggle-buttons :checked + .button {
        background-color: #345;
    }







    .toggle-buttons :disabled + .button {
        cursor: not-allowed;
        opacity: .6;
        color: #def;
    }







.ckb {
    display: inline-block;
}

.LoginForm {
    border: 1px solid #555;
    width: 400px;
    text-align: center;
    margin-left: 700px;
    margin-top: 200px;
    line-height: 3.0;
}

.MenuName {
    background: #9E9E9E;
    color: #FAFAFA;
    width: 250px;
}

.MenuNews:hover {
    background-color: #FFF176;
}

.MenuNews {
    width: 250px;
}
.td-top {
    vertical-align: top;
}
.Config {
    margin-left: 30px;
    margin-top: 30px;
    width: 200px;
    height: 795px;
    border-style: dashed;
    border-width: 1px;
    border-color: #000000;
}

    .Config a {
        line-height: 60px; /*高さと合わせて上下中央配置*/
        display: block;
        margin: 0 auto 10px auto;
        text-align: center;
        background-color: seagreen;
        width: 150px;
        height:60px;
        color: white;
        font-size: 20px;
    }

        .Config a:active {
            background-color: yellow;
            color: black;
        }

.Master {
    margin-left: 30px;
    margin-top: 30px;
    width: 400px;
    height: 795px;
    border-style: dashed;
    border-width: 1px;
    border-color: #000000;
}

    .Master a {
        line-height: 60px; /*高さと合わせて上下中央配置*/
        display: block;
        margin: 0 auto 10px auto;
        text-align: center;
        background-color: orange;
        width: 150px;
        height: 60px;
        color: white;
        font-size: 20px;
    }

        .Master a:active {
            background-color: yellow;
            color: black;
        }

.Master2 {
    margin-left: 30px;
    margin-top: 30px;
    width: 200px;
    height: 515px;
    border-style: dashed;
    border-width: 1px;
    border-color: #000000;
}

    .Master2 a {
        line-height: 60px; /*高さと合わせて上下中央配置*/
        display: block;
        margin: 0 auto 10px auto;
        text-align: center;
        background-color: orange;
        width: 150px;
        height: 60px;
        color: white;
        font-size: 20px;
    }

        .Master2 a:active {
            background-color: yellow;
            color: black;
        }



.Master-div {
    float: left;
    margin-left: 30px;
}



.Service {
    margin-left: 30px;
    margin-top: 30px;
    width: 200px;
    height: 795px;
    border-style: dashed;
    border-width: 1px;
    border-color: #000000;
}

    .Service a {
        line-height: 60px; /*高さと合わせて上下中央配置*/
        display: block;
        margin: 0 auto 10px auto;
        text-align: center;
        background-color: royalblue;
        width: 150px;
        height: 60px;
        color: white;
        font-size: 20px;
    }

        .Service a:active {
            background-color: yellow;
            color: black;
        }
.Service1 {
    margin-left: 30px;
    margin-top: 30px;
    width: 200px;
    height: 250px;
    border-style: dashed;
    border-width: 1px;
    border-color: #000000;
}

    .Service1 a {
        line-height: 60px; /*高さと合わせて上下中央配置*/
        display: block;
        margin: 0 auto 10px auto;
        text-align: center;
        background-color: royalblue;
        width: 150px;
        height: 60px;
        color: white;
        font-size: 20px;
    }

        .Service1 a:active {
            background-color: yellow;
            color: black;
        }
.Service2 {
    margin-left: 30px;
    margin-top: 30px;
    width: 200px;
    height: 515px;
    border-style: dashed;
    border-width: 1px;
    border-color: #000000;
}

    .Service2 a {
        line-height: 60px; /*高さと合わせて上下中央配置*/
        display: block;
        margin: 0 auto 10px auto;
        text-align: center;
        background-color: royalblue;
        width: 150px;
        height: 60px;
        color: white;
        font-size: 20px;
    }

        .Service2 a:active {
            background-color: yellow;
            color: black;
        }
.Inspection a {
    background-color: lightsalmon;
}

.Incidental a {
    background-color: gray;
}

.headerHeight {
    border: solid #000;
    margin: 7px;
    display: inline-block;
}
.headerbtn {
    border: solid;
    margin: 5px;
    display: inline-block;
}
.UpdateBtn {
    position: relative;
    margin: 0px;
    top: 10px;
}

.MenuHeader {
    min-width:1300px;
    background-color: black;
    color: white;
    font-size: 30px
}

    .MenuHeader a {
        color: white;
        font-size: 30px
    }

.imglogo {
    margin-left: 50px;
    background-size: 100px 200px;
    width: 150px;
}

.calender {
    width: 200px;
}

.Systemmas:hover {
    background-color: #FFF176;
}

.badnum {
    color: red;
}

table.StripeTable.display tbody tr.odd,
table.StripeTable.display tbody tr.odd > .sorting_1,
table.StripeTable.display tbody tr:nth-child(odd),
table.StripeTable.display tbody tr:nth-child(odd) > .sorting_1 {
    background-color: #d5d5d8;
}
table.StripeTable.display tbody tr.even,
table.StripeTable.display tbody tr.even > .sorting_1,
table.StripeTable.display tbody tr:nth-child(even),
table.StripeTable.display tbody tr:nth-child(even) > .sorting_1 {
    background-color: #eeeeee;
}
table.StripeTable.display tbody tr:hover,
table.StripeTable.display tbody tr:hover > .sorting_1 {
    background-color: #bee9ff;
}
table.dataTable tbody tr.del,
table.dataTable tbody tr.del:hover,
table.dataTable tbody tr.del:nth-child(odd),
table.dataTable tbody tr.del:nth-child(even),
table.dataTable tbody tr.del:hover > .sorting_1,
table.dataTable tbody tr.del:nth-child(odd) > .sorting_1,
table.dataTable tbody tr.del:nth-child(even) > .sorting_1 {
    background-color: #ff7676;
}
.shortcut {
    overflow-x: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: 2em;
    -webkit-text-overflow: ellipsis; /* Safari */
    -o-text-overflow: ellipsis; /* Opera */
}
.readonly {
    border-style: none;
    pointer-events: none;
}
.Required {
    /*background-color: rgba(253, 225, 154, 1);*/
}
.twoTable {
    min-width: 1600px;
}
.twoTable > div:first-child{
    max-width:800px;
    width:42%;
}
.twoTable > div:last-child {
    width: 58%;
}

/*.table div {
    border-left: solid 1px;
    border-bottom: solid 1px;
}*/
.dt-buttons {
    text-align: right;
    width:100%;
}
.dl .dataTables_filter{
    display:none;
}
.wickedpicker{
    z-index:2000;
}
.ordertable > div > .row {
    border-right: 1px solid #000;
    border-bottom: 1px solid #000;
}
.ordertable > div:last-child > .row {
    border-right: none;
    border-bottom: 1px solid #000;
}
.ordertable > div > .row > * {
    border-left: 1px solid #000;
}
    .ordertable > div > .row > *:first-child {
        border-left: none;
    }
.modal-delete {
    position: absolute;
    left: 10px;
    bottom:10px
}
table input {
    font-size:large;
    border:solid 1px;
    width:100%;
    height:100%;
    background-color:white;
}
table.dataTable tbody td {
    padding:0px 10px;
}
.TeamCode {
    display: block;
}

/* 付帯作業計画作成画面 Start */
incidental-plan-data .btn {
    max-height: 38px !important;
}
.width-50 {
    width: 50px !important;
}
.width-70 {
    width: 70px !important;
}
.width-100 {
    max-width: 100px !important;
    width: 100px !important;
}
.width-120 {
    width: 120px !important;
}
.width-130 {
    max-width: 130px !important;
    width: 130px !important;
}
.width-150 {
    width: 150px !important;
}
.width-300 {
    width: 300px !important;
}
.bd-right {
    border-right: 1px solid rgba(0, 0, 0, .1);
}
.ddlStyle {
    width: 100px;
}
.tbxStyle {
    width: 50px;
}
.labelWidth50 {
    display: inline-block;
    width: 50px;
    max-width: 50px;
}
.labelWidth100 {
    display: inline-block;
    width: 100px;
}
.tableCellStyle {
    vertical-align: top;
    align-items: center;
    justify-content: center;
}
.tableBtnStyle {
    max-width: 30px;
    width: 30px;
}
.dimgrey {
    color: dimgrey;
}

/* Fixed column start */
.fixed-columns {
    position: sticky;
    z-index: 1;
    background-color: #fff;
}
.fixed-columns-1 { 
    left: 0;
}
.fixed-columns-2 {
    left: calc(100px + 1.5rem);
}
.fixed-columns-3 {
    left: calc(200px + 3rem);
}
.fixed-columns-4 {
    left: calc(300px + 4.5rem);
}
.fixed-end-columns-1 {
    right: 0;
}
.fixed-end-columns-2 {
    right: calc(60px + 1.75rem);
}
.fixed-end-columns-3 {
    right: calc(110px + 3.25rem);
}
.fixed-end-columns-4 {
    right: calc(160px + 4.75rem);
}
/* Fixed column end */
.hidden-template {
    display: none;
}
/* 付帯作業計画作成画面 End */

/* 付帯作業計画結果確認画面 start */
.search-block {
    width: 19vw;
    min-height: 270px;
}
.column-1st {
}
.column-2nd {
    min-width: 130px !important;
}
.right-btn {
    float: right;
}
.detail-fixed-columns-1 {
    left: 0;
}

.detail-fixed-columns-2 {
    left: 100px;
}

.detail-fixed-columns-3 {
    left: 200px;
}

.detail-fixed-columns-4 {
    left: 300px;
}
/* 付帯作業計画結果確認画面 end */